/* CARD PROFESORES */
.contenedor-tarjeta {
    width: 100%;
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    flex-wrap: wrap;
    gap: 20px;
}

.tarjeta {
    border: 1px solid #f2f2f2;
    background: #fff;
    border-radius: 10px;
    padding: 2px 2px;
    width: 215px;
    height: 267px;
    overflow: hidden;
    position: relative;
}

.informacion-profesores {
    display: flex;
    justify-content: end;
    flex-direction: column;
    background-color: none;
    width: 210px;
    height: 267px;
    margin: 0;
}

.informacion-profesores .titulo-profesor {
    display: flex;
    align-items: center;
    text-align: left;
    border-radius: 5px;
    margin: 10px;
    padding: 8px;
    color: #fff;
    background-color: #e71c24;
    font-size: 16px;
    width: 100%;
    height: 37px;
}

.informacion-profesores .titulo-universitario {
    margin: 0;
    text-align: center;
    color: #ffffff;
    font-size: 15px;
    font-weight: lighter;
    letter-spacing: 1px;
}

/* OVERLAY */
.overlay p {
    line-height: 1.2;
}

.overlay .titulo {
    margin: 0;
    color: #fff;
    padding: 5px 20px;
    font-size: 12px;
    font-weight: lighter;
}

.overlay .subtitulo {
    margin: 0 0 10px 0;
    color: #f03636;
    font-size: 15px;
}

.doc {
    font-size: 22px;
    height: 55px;
    width: 100%;
}

.tarjeta .overlay {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    text-align: center;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(25, 25, 25, 0.9);
    opacity: 0;
    transition: 0.3s ease-in-out;
}

.tarjeta:hover .overlay {
    opacity: 1;
    transform: scale(1.1);
}

.botones {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    margin-top: 15px;
    width: 200px;
}

.botones .boton-informacion {
    font-size: 10px;
    text-decoration: none;
    color: #fff;
    border: 1px solid #f03636;
    padding: 8px;
    transition: 0.3s ease-in-out;
    margin: 5px;
    width: 100px;
    z-index: 1;
    position: relative;
}

.botones .boton-informacion:hover {
    background-color: #f03636;
    cursor: pointer;
}

.botones .boton-informacion::before {
    content: "";
    z-index: -1;
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    background-color: #f03636;
    transform-origin: center right;
    transform: scaleX(0);
    transition: transform 0.25s ease-in-out;
}

.botones .boton-informacion:hover::before {
    transform-origin: center left;
    transform: scaleX(1);
}